<?php
namespace Teknisa\CRM\Controller;

use Teknisa\CRM\Controller\TeknisaCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Util\Functions;

class ger98020ServicoProdutoController extends TeknisaCrud {
    protected $dataSourceName = 'sistema_procomerci';
    protected $suport_dataSourceName = 'sistemasuporte';

    public function findSuporte (DTO\Request\Filter $request, DTO\Response $response) {
        $previousDataSourceName = $this->dataSourceName;
        $this->dataSourceName = $this->suport_dataSourceName;
        parent::find($request, $response);
        $this->dataSourceName = $previousDataSourceName;
    }

    public function save(DTO\Request $request, DTO\Response $response) {
    	foreach($request->getDataSet()->getRows() as $row) {
            if(!\Zeedhi\Framework\Util\Functions::arrayKeyExists('SGSISTEMA', $row)) $row['SGSISTEMA'] = null;
            if(!\Zeedhi\Framework\Util\Functions::arrayKeyExists('NRPOSPERS', $row)) $row['NRPOSPERS'] = 1;
            if(!\Zeedhi\Framework\Util\Functions::arrayKeyExists('CDPROCOMERCI', $row)) $row['CDPROCOMERCI'] = null;
        }

    	parent::save($request, $response);
    }
}